#!/bin/sh

source /root/gstreamer-examples/func.sh

init_dual_dev
[ $? -ne 0 ] && exit 1

source /usr/share/phytec-gstreamer-examples/ar0234.conf
BW_FORMAT="raw,format=GRAY8,depth=8"

echo ""
echo " starting gstreamer with two GRAY Sources ..."
echo " read CAM1 from MIPI-CSI-2_CSI1 and CAM2 from MIPI-CSI-2_CSI2 with $SENSOR_RES"
echo " write side by side to 3840x1200 Pixel, convert to jpg and write to ar0234_bw_dual_image.jpg"
echo " ============================================================================================"
echo ""
echo " configure camera with v4l2_control"
echo " =================================="

setup-pipeline-csi1 -f $CAM_BW_FMT -s $SENSOR_RES -o $OFFSET_SENSOR -c $SENSOR_RES
setup-pipeline-csi2 -f $CAM_BW_FMT -s $SENSOR_RES -o $OFFSET_SENSOR -c $SENSOR_RES


echo ""
echo " configure camera @CAM1 with v4l2_control"
echo " ========================================"

V4L2_CTRL_CAM_BW="v4l2-ctl -d ${CAM_DEVICE_1} ${V4L2_CTRL_CAM1_BW:13}"
$V4L2_CTRL_CAM_BW
V4L2_CTRL_CAM_BW="v4l2-ctl -d ${CAM_DEVICE_2} ${V4L2_CTRL_CAM1_BW:13}"
$V4L2_CTRL_CAM_BW


echo ""
echo " start gstreamer"
echo " ==============="

gst-launch-1.0 videomixer name=mix  sink_0::xpos=0 sink_0::ypos=0 sink_1::xpos=1920 sink_1::ypos=0 ! videoconvert ! jpegenc ! multifilesink location=ar0144_bw_dual_image.jpg \
	v4l2src num-buffers=6 device=$VID_DEVICE_1 ! \
	video/x-$BW_FORMAT,$FRAME_SIZE,framerate=10/1 ! videoconvert ! mix. \
	v4l2src num-buffers=6 device=$VID_DEVICE_2 ! \
	video/x-$BW_FORMAT,$FRAME_SIZE,framerate=10/1 ! videoconvert ! mix.


#gst-launch-1.0 \
#	v4l2src num-buffers=5 device=$VID_DEVICE_1 ! video/x-$BW_FORMAT,$FRAME_SIZE,framerate=30/1 ! \
#	videoconvert n-threads=4 ! jpegenc ! multifilesink location=ar0234_bw_image_cam1.jpg &
#gst-launch-1.0 \
#	v4l2src num-buffers=5 device=$VID_DEVICE_2 ! video/x-$BW_FORMAT,$FRAME_SIZE,framerate=30/1 ! \
#	videoconvert n-threads=4 ! jpegenc ! multifilesink location=ar0234_bw_image_cam2.jpg

